### Function

# GLib strfreev

#### Declaration [src]

    void
    g_strfreev (
      gchar** str_array
    )

#### Description [src]

Frees an array of strings, as well as each string it contains.

If `str_array` is `NULL`, this function simply returns.

#### Parameters

`str_array`

  Type: An array of `gchar*`

  An array of strings to free.

  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  The called function takes ownership of the data, and is responsible for freeing it.
  Each element is a NUL terminated UTF-8 string.